"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _basePickBy = require("./_basePickBy.js");
const hasIn$1 = require("./hasIn.js");
var basePickBy = _basePickBy._basePickBy, hasIn = hasIn$1.hasIn_1;
function basePick(object, paths) {
  return basePickBy(object, paths, function(value, path) {
    return hasIn(object, path);
  });
}
var _basePick = basePick;
exports._basePick = _basePick;
